For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGets available permissions
      • POSTLog in
      • GETGet SAML auth settings
      • POSTUpdate SAML auth settings
      • GETGet OIDC auth settings
      • POSTSet OIDC settings
      • GETGet Simple auth settings
      • POSTUpdate Simple auth settings
      • GETReturns the list of permissions for the service account.
      • GETGets access overview
      • GETGet SCIM settings.
      • POSTSet SCIM settings.
      • POSTGenerates a new SCIM API token.
      • GETValidates a token
      • POSTChanges a user password
      • POSTValidates password
      • POSTReset password

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAuth

Changes a user password

||View as Markdown|
POST
https://app.unleash-instance.example.com/auth/reset/password
POST
/auth/reset/password
$curl -X POST https://app.unleash-instance.example.com/auth/reset/password \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "token": "$2a$15$QzeW/y5/MEppCWVEkoX5euejobYOLSd4We21LQjjKlWH9l2I3wCke",
> "password": "correct horse battery staple"
>}'
1{}
Allows users with a valid reset token to reset their password without remembering their old password
Was this page helpful?
Previous

Validates password

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

changePasswordSchema
tokenstringRequired
A reset token used to validate that the user is allowed to change the password.
passwordstringRequired
The new password for the user

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error